<%@ Page Language="c#" MasterPageFile="../../../masterpages/umbracoDialog.Master"
    CodeBehind="TransferNode.aspx.cs" AutoEventWireup="True" Inherits="Umbraco.Courier.Dialogs.TransferNode" %>

<asp:Content ID="Content2" ContentPlaceHolderID="head" runat="server">
    <script type="text/javascript" language="javascript">
		var pubTotal = <asp:Literal ID="total" Runat="server"></asp:Literal>;
		xmlHttpDebug = true;
				
		var reqNode;
	    var statusStr = "Transfering Document";
	    var masterPagePrefix = '<asp:Literal id="masterPagePrefix" runat="server"/>';
		function startPublication() {		
			updateTotal();
		}

        function closeWindow() {
            if (UmbClientMgr == undefined) 
            {
                top.closeModal();
            }
            else 
            {
                UmbClientMgr.closeModalWindow();
            }
        }
		
		function showPublication() {

		    document.getElementById('formDiv').style.display = 'none'; 
		    document.getElementById('animDiv').style.display = 'block'; 
	        if (document.getElementById(masterPagePrefix + 'PublishAll').checked) {
	            statusStr = 'Currently transfering %0% out of %1% documents'; 
                updatePublication();
            } else {
        		  document.getElementById("counter").innerHTML = statusStr;
            }
	        
		}
		
		function updateTotal() {
			setTimeout("showPublication()", 100);
			setTimeout("", 200);
		}
		
		function updatePublication() {
		  Umbraco.Courier.Webservices.Messenger.TransferStatusMessage('<%=umbraco.helper.Request("id")%>', updatePublicationMessageDo);
		  Umbraco.Courier.Webservices.Messenger.TransferStatus('<%=umbraco.helper.Request("id")%>', updatePublicationDo);
		}
		
		
		function updatePublicationDo(retVal) {
		  document.getElementById("counter").innerHTML = statusStr.replace('%0%', retVal).replace('%1%', pubTotal);
			setTimeout("updatePublication()", 300);
		}
		
		function updatePublicationMessageDo(retVal) {
		  document.getElementById("counterMessage").innerHTML = "("+retVal+")";
		}
		
		// pubCounter
function doSubmit() {document.Form1["ok"].click()}

	var functionsFrame = this;
	var tabFrame = this;
	var isDialog = true;
	var submitOnEnter = true;
	
    </script>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="body" runat="server">
    <asp:ScriptManagerProxy runat="server" ID="smProxy">
        <Services>
            <asp:ServiceReference Path="../webservices/messenger.asmx" />
        </Services>
    </asp:ScriptManagerProxy>
    <asp:Panel ID="errorMessage" runat="server" Visible="false">
        <div class="error">
            <h3>
                Transfer Error!</h3>
            <p>
                <asp:Literal ID="errorDetails" runat="server"></asp:Literal></p>
        </div>
    </asp:Panel>
    <asp:Panel ID="TheForm" Visible="True" runat="server">
        <div>
            <h3>
                Courier - Transfer Node</h3>
            <br style="clear: both" />
        </div>
        <div id="formDiv" style="visibility: visible;">
            <div class="propertyDiv">
                <p>
                    Click <em>ok</em> to transfer <strong>
                        <%= pageName %></strong> to the '<%=Umbraco.Courier.BusinessLogic.Settings.Servers.GetServers[0].Alias%>'
                    environment. This will
                    <asp:Literal ID="documentCaption" runat="server" Text="only transfer the document not publish it" />.</p>
                <p>
                    You can transfer this item and all its sub-item by checking <em>transfer all children</em>
                    below.</p>
                <p>
                    <asp:CheckBox runat="server" ID="TransferAll"></asp:CheckBox>
                </p>
                <asp:Panel ID="publishPanel" runat="server" Visible="false">
                    <p>
                        &nbsp; &nbsp;
                        <asp:CheckBox runat="server" ID="publish" Text="Publish documents after transfer?">
                        </asp:CheckBox>
                    </p>
                </asp:Panel>
            </div>
            <asp:Button ID="ok" runat="server" CssClass="guiInputButton"></asp:Button>
            <em>or </em><a href="#" style="color: blue" onclick="closeWindow()">
                <%=umbraco.ui.Text("general", "cancel")%></a>
        </div>
        <div id="animDiv" style="display: none;" align="center">
            <script type="text/javascript">
                umbPgStep = 1;
                umbPgIgnoreSteps = true;
            </script>
            <div class="propertyDiv">
                <p>
                    Transfer to the '<%=Umbraco.Courier.BusinessLogic.Settings.Servers.GetServers[0].Alias%>'
                    environment in progress...
                </p>
                <img src="/umbraco_client/images/progressBar.gif" id="anim" alt="<%=umbraco.ui.Text("publish", "inProgress")%>" /><br />
                <small class="guiDialogNormal">
                    <div id="counter">
                    </div>
                    <div id="counterMessage">
                    </div>
                </small>
            </div>
        </div>
    </asp:Panel>
    <asp:Panel ID="theEnd" Visible="False" runat="server">
        <asp:Literal ID="FeedBackMessage" runat="server" />
        <input type="button" onclick="closeWindow();" value="Ok" class="guiInputButton" />
    </asp:Panel>
    <!-- <asp:Literal ID="licenseInfo" runat="server"></asp:Literal> -->
</asp:Content>
